## javax.media.j3d
Class WakeupOnDeactivation

    java.lang.Object
      javax.media.j3d.WakeupCondition
          javax.media.j3d.WakeupCriterion
              javax.media.j3d.WakeupOnDeactivation

    public final class WakeupOnDeactivation

extends WakeupCriterion

Class specifying a wakeup on first detection of a Viewplatform's activation volume no longer intersecting with this object's scheduling region. This gives the behavior an explicit means of executing code when it is deactivated.

Constructor Summary
`WakeupOnDeactivation()` Constructs a new WakeupOnDeactivation criterion.

Method Summary

Methods inherited from class javax.media.j3d.WakeupCriterion
`hasTriggered`

Methods inherited from class javax.media.j3d.WakeupCondition
`allElements, triggeredElements`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WakeupOnDeactivation

    public WakeupOnDeactivation()

  Constructs a new WakeupOnDeactivation criterion.

Copyright 1996-2008 Sun Microsystems, Inc. All Rights Reserved. Use is subject to license terms.